services:
  _defaults:
    public: false
    autowire: true

  OxidEsales\MediaLibrary\Media\Repository\MediaRepositoryInterface:
    class: OxidEsales\MediaLibrary\Media\Repository\MediaRepository
    public: true

  OxidEsales\MediaLibrary\Media\Repository\MediaFactoryInterface:
    class: OxidEsales\MediaLibrary\Media\Repository\MediaFactory